# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.calendar
Class CalendarQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.calendar.CalendarQuery

    public class CalendarQuery

extends Query

The CalendarQuery class extends the base GData Query class to define convenience APIs for Calendar custom query parameters.

Nested Class Summary
`static class` `CalendarQuery.ExtendedPropertyMatch` The ExtendedPropertyMatch class corresponds to a single extended property match.

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary
`static java.lang.String` `EXT_PROP_QUERY` The name of the extended property query parameter that specifies that all events' extended properties must have matching values.
`static java.lang.String` `MAXIMUM_START_TIME` The name of the custom query parameter that specifies that all events returned must be less than the specified time.
`static java.lang.String` `MINIMUM_START_TIME` The name of the custom query parameter that specifies that all events returned must be greater than or equal to the specified time.

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`CalendarQuery(java.net.URL feedUrl)` Constructs a new CalendarQuery object that targets a feed.

Method Summary
`CalendarQuery.ExtendedPropertyMatch[]` `getExtendedPropertyQuery()` Returns an array of extended property matches parsed from the current value of `extq` custom parameter.
`DateTime` `getMaximumStartTime()` Returns the maximum start time for events returned by the query.
`DateTime` `getMinimumStartTime()` Returns the minimum start time for events returned by the query.
`void` `setExtendedPropertyQuery(CalendarQuery.ExtendedPropertyMatch... matches)` Sets up the extended property matching for events returned by the query by setting the `extq` custom parameter value.
`void` `setMaximumStartTime(DateTime maxStart)` Sets the maximum start time for events returned by the query.
`void` `setMinimumStartTime(DateTime minStart)` Sets the minimum start time for events returned by the query.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MINIMUM_START_TIME

    public static final java.lang.String MINIMUM_START_TIME

  The name of the custom query parameter that specifies that all events returned must be greater than or equal to the specified time.

  See Also:
    Constant Field Values

### MAXIMUM_START_TIME

    public static final java.lang.String MAXIMUM_START_TIME

  The name of the custom query parameter that specifies that all events returned must be less than the specified time.

  See Also:
    Constant Field Values

### EXT_PROP_QUERY

    public static final java.lang.String EXT_PROP_QUERY

  The name of the extended property query parameter that specifies that all events' extended properties must have matching values.

  See Also:
    Constant Field Values

Constructor Detail

### CalendarQuery

    public CalendarQuery(java.net.URL feedUrl)

  Constructs a new CalendarQuery object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### setMinimumStartTime

    public void setMinimumStartTime(DateTime minStart)

  Sets the minimum start time for events returned by the query. Together with `setMaximumStartTime(com.google.gdata.data.DateTime)` creates a timespan such that only events that are within the timespan are returned.

  Parameters:
    `minStart` - the minimum start time. A value of `null` disables querying by minimum start time.

### getMinimumStartTime

    public DateTime getMinimumStartTime()

  Returns the minimum start time for events returned by the query. Only events that start on or after this time will be returned.

  Returns:
    the minimum start time. A value of `null` indicates that minimum start-time based querying is disabled.

### setMaximumStartTime

    public void setMaximumStartTime(DateTime maxStart)

  Sets the maximum start time for events returned by the query. Together with `setMinimumStartTime(com.google.gdata.data.DateTime)` creates a timespan such that only events that are within the timespan are returned.

  Parameters:
    `maxStart` - the maximum start time. A value of `null` disables querying by maximum start time.

### getMaximumStartTime

    public DateTime getMaximumStartTime()

  Returns the maximum start time for events returned by the query. Only events that start before this time will be returned.

  Returns:
    the maximum start time. A value of `null` indicates that maximum start-time based querying is disabled.

### setExtendedPropertyQuery

    public void setExtendedPropertyQuery(CalendarQuery.ExtendedPropertyMatch... matches)

  Sets up the extended property matching for events returned by the query by setting the `extq` custom parameter value.

  Parameters:
    `matches` - extended property matches. Only events that satisfy all of these will be returned. A value of `null` or an empty array of matches disables extended property matching for this CalendarQuery.

### getExtendedPropertyQuery

    public CalendarQuery.ExtendedPropertyMatch[] getExtendedPropertyQuery()

  Returns an array of extended property matches parsed from the current value of `extq` custom parameter.

  Returns:
    the extended property query text. An empty array shall be returned when extended property matching is disabled for this CalendarQuery.